public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/docutils/
Date: Wed, 24 Apr 2024 13:42:18 +0000 (UTC)	[thread overview]
Message-ID: <1713965967.3e5fc528cf4091684b3b23a9d889eae56fda8622.mgorny@gentoo> (raw)

commit:     3e5fc528cf4091684b3b23a9d889eae56fda8622
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 24 13:39:04 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 24 13:39:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e5fc528

dev-python/docutils: Bump to 0.21.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/docutils/Manifest               |  1 +
 dev-python/docutils/docutils-0.21.2.ebuild | 80 ++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/docutils/Manifest b/dev-python/docutils/Manifest
index 520c7d2dd766..79539f23b096 100644
--- a/dev-python/docutils/Manifest
+++ b/dev-python/docutils/Manifest
@@ -1,3 +1,4 @@
 DIST docutils-0.19.tar.gz 2056383 BLAKE2B 9983a905642de4e81ca118578671b503ddfda4bef1afcc0524de40543e1f9617fd8d768ef467da49d2f01076683400bad6a0fe15f6b5a3a1e202c42b2e34ab1b SHA512 fb904a899f2b6f3c07c5079577bd7c52a3182cb85f6a4149391e523498df15bfa317f0c04095b890beeb3f89c2b444875a2a609d880ac4d7fbc3125e46b37ea5
 DIST docutils-0.20.1.tar.gz 2058365 BLAKE2B 73fb8302599ffe57b0840c898b0b2e3ccd39ff9ea6eec2b5d345d02c950e1a8357bd821e62733b0484e82bc30e71d30fab381390b0edaef4375b02bcd9eeeb40 SHA512 a0ddca315d03677003036d6a8052ac96fbd3fcc4508564938ea684d79bedb4d322d83449c7b26e55b19b0aadd6e46ca9ac409bb16279a20f06c70e9c15ef5eb0
 DIST docutils-0.21.1.tar.gz 2201080 BLAKE2B a89792a69a7faa0eda7b2470e5e3a3d3cf8250a3577553a8f8f8d3d86d2693394e97dca6c75c1b4815748d2ce126ccd3f71dead5763ec8b70aee7be183165473 SHA512 2816fe074b12d7f15fb6730339f3af5f459f50af0cd2a4922194887f48bfd9931c2f2054a17a5418585b586502b96e05ed18600d31c523084537dc72707ab0ee
+DIST docutils-0.21.2.tar.gz 2204444 BLAKE2B 727c2f97fc5835a0ffa62e38ea85af366cd89ad1eaec0b8af8b1f3b12e6cddfddb65161ba34f9109952d37ba2cf8985f3c3b6905ebb2ac1c9a984cce3fb4d170 SHA512 7fafa331f5687448e80d299c20cdccc4b49819fa471b5f586bf0ab18c694ba43a70f58e7c76b0a70a16267585548389214e11a4998ad7fdc19a27f0f7644539c

diff --git a/dev-python/docutils/docutils-0.21.2.ebuild b/dev-python/docutils/docutils-0.21.2.ebuild
new file mode 100644
index 000000000000..73aedd897616
--- /dev/null
+++ b/dev-python/docutils/docutils-0.21.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+	https://docutils.sourceforge.io/
+	https://pypi.org/project/docutils/
+"
+
+# GPL-3+ only for emacs/rst.el
+LICENSE="BSD BSD-2 GPL-3+ PSF-2.4 public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+	dev-python/pillow[${PYTHON_USEDEP}]
+	dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	${RDEPEND}
+"
+
+python_compile_all() {
+	# Generate html docs from reStructured text sources.
+
+	# Place html4css1.css in base directory to ensure that the generated reference to it is correct.
+	cp docutils/writers/html4css1/html4css1.css . || die
+
+	cd tools || die
+	"${EPYTHON}" buildhtml.py --input-encoding=utf-8 --no-datestamp \
+		--stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+	cd test || die
+	distutils-r1_src_test
+}
+
+python_test() {
+	"${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+	distutils-r1_python_install
+
+	# Install tools.
+	python_doscript tools/buildhtml.py
+}
+
+install_txt_doc() {
+	local doc="${1}"
+	local dir="txt/$(dirname ${doc})"
+	docinto "${dir}"
+	dodoc "${doc}"
+}
+
+python_install_all() {
+	local DOCS=( *.txt )
+	local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+	distutils-r1_python_install_all
+
+	local doc
+	while IFS= read -r -d '' doc; do
+		install_txt_doc "${doc}"
+	done < <(find docs tools -name '*.txt' -print0)
+}
+
+pkg_postinst() {
+	optfeature \
+		"auto-detecting the image dimensions when using the 'scale' option" \
+		dev-python/pillow
+}


             reply	other threads:[~2024-04-24 13:42 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-24 13:42 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-16 20:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/docutils/ Michał Górny
2024-05-17 10:05 Michał Górny
2024-05-11  7:11 Arthur Zamarin
2024-04-02  5:45 Michał Górny
2024-01-06 14:15 Michał Górny
2023-08-25 14:21 Michał Górny
2023-06-27  5:19 Jakov Smolić
2023-05-31 10:50 Michał Górny
2023-05-28 18:43 Arthur Zamarin
2023-05-17  3:40 Michał Górny
2023-05-17  3:40 Michał Górny
2023-03-16  3:47 Michał Górny
2022-08-13 11:11 Arthur Zamarin
2022-08-13 11:07 Arthur Zamarin
2022-07-11  7:06 Michał Górny
2022-06-16 11:47 Michał Górny
2022-06-16  9:50 Jakov Smolić
2022-06-16  8:59 Jakov Smolić
2022-05-14  8:25 Michał Górny
2022-01-10 20:04 Michał Górny
2022-01-10 19:51 Arthur Zamarin
2021-12-09 21:24 Sam James
2021-11-23 22:05 Michał Górny
2021-10-27  8:29 Michał Górny
2021-07-12 22:53 Michał Górny
2021-06-04 12:23 Michał Górny
2021-05-06 18:45 Michał Górny
2021-04-18  7:05 Michał Górny
2021-04-04 14:23 Michał Górny
2020-12-27 16:31 Fabian Groffen
2020-12-11 12:45 Michał Górny
2020-08-22  9:15 Michał Górny
2020-08-09  9:02 Michał Górny
2020-07-27 20:06 Aaron Bauman
2020-05-27  6:10 Michał Górny
2020-05-11 16:48 Michał Górny
2020-05-11  6:23 Mart Raudsepp
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 19:02 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:22 Agostino Sarubbo
2020-05-03 10:12 Agostino Sarubbo
2020-03-27  7:25 Michał Górny
2020-03-27  7:25 Michał Górny
2020-03-27  7:25 Michał Górny
2019-05-05 17:07 Mikle Kolyada
2019-04-09  1:32 Aaron Bauman
2019-03-02 21:30 Matt Turner
2019-03-02 20:02 Matt Turner
2019-02-15 17:05 Mikle Kolyada
2019-02-15 15:46 Thomas Deutschmann
2019-02-12 21:14 Sergei Trofimovich
2019-02-12 21:03 Sergei Trofimovich
2019-02-12  8:52 Mikle Kolyada
2019-02-12  8:11 Sergei Trofimovich
2019-02-11 23:36 Sergei Trofimovich
2018-06-05 17:19 Mike Frysinger
2017-09-30 15:29 Patrick Lauer
2017-05-18 20:12 Michael Weber
2016-12-12  3:20 Tim Harder
2015-10-15  8:57 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1713965967.3e5fc528cf4091684b3b23a9d889eae56fda8622.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox